One project.
GET
/api/v1/projects/{project}
const url = 'https://example.com/api/v1/projects/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/projects/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project
required
string
Project name
Responses
Section titled “Responses”Media typeapplication/json
object
name
required
string
uid
string | null
display_name
required
string
description
string | null
org
string | null
environments
required
integer format: int32
ready
required
boolean
deleting
required
boolean
created_at
string | null
Examplegenerated
{ "name": "example", "uid": "example", "display_name": "example", "description": "example", "org": "example", "environments": 1, "ready": true, "deleting": true, "created_at": "example"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}